Name:		mageiawelcome
Version:	2.25
Release:	%mkrel 2
Summary:	%{_vendor} welcome screen
Group:		System/Configuration
License:	GPLv3
URL:		https://www.mageia.org/
# Source from https://gitweb.mageia.org/software/mageiawelcome
Source:		https://gitweb.mageia.org/software/mageiawelcome/snapshot/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	qttools5
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject3
Requires:	python3-opengl
Requires:	python3-rpm
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-qml
Requires:	python3-qt5-quick
Requires:	qtgraphicaleffects5
Requires:	qtquickcontrols5
Requires:	qtdeclarative5

%description
%{_vendor} Welcome Screen shows important information of the %{_os} distribution.

%prep
%autosetup -p1

%build
%__make version

%py3_build

%install
%py3_install

%files
%doc LICENSE
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-launcher
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Dec 28 2023 daviddavid <daviddavid> 2.25-2.mga10
+ Revision: 2022843
- rebuild for py3.12

* Tue Aug 15 2023 papoteur <papoteur> 2.25-1.mga9
+ Revision: 1964689
- new 2.25

* Sat Jul 15 2023 papoteur <papoteur> 2.24-1.mga9
+ Revision: 1963962
- new None

* Sat Jul 15 2023 papoteur <papoteur> 2.23-1.mga9
+ Revision: 1963957
- new 2.23

* Fri Jul 14 2023 papoteur <papoteur> 2.22-1.mga9
+ Revision: 1963947
- new 2.22

* Tue Jan 31 2023 papoteur <papoteur> 2.21-1.mga9
+ Revision: 1937188
- new 2.21

* Sat Jan 21 2023 papoteur <papoteur> 2.20-1.mga9
+ Revision: 1934660
- new 2.20

* Sun Jan 01 2023 wally <wally> 2.19-1.mga9
+ Revision: 1928516
- 2.19: fix autostart launcher icon (mga#31348)

* Sat Dec 03 2022 papoteur <papoteur> 2.18-1.mga9
+ Revision: 1916091
- new 2.18

* Mon Nov 21 2022 papoteur <papoteur> 2.17-1.mga9
+ Revision: 1909843
- revert port to pyproject, some file are not at good place
- new 2.17

* Sun Mar 27 2022 umeabot <umeabot> 2.16-3.mga9
+ Revision: 1828999
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.16-2.mga9
+ Revision: 1773686
- Rebuild for python-3.10

* Sun Sep 12 2021 marja <marja> 2.16-1.mga9
+ Revision: 1745267
- New version 2.16
  o fixes for two screen layout issues (mga#29456)
  o translation updates

* Fri Jul 02 2021 neoclust <neoclust> 2.15-1.mga9
+ Revision: 1734515
- New version 2.15: Change default irc server to libera

* Tue Apr 27 2021 daviddavid <daviddavid> 2.13-1.mga9
+ Revision: 1720009
- new version: 2.13
  * Fix a text displayed in column for zh and ja languages in MCC screen (mga#28806)

* Thu Apr 08 2021 daviddavid <daviddavid> 2.12-1.mga9
+ Revision: 1714070
- new version: 2.12
  * Add explicit message when needed repository isn't installed, including steam (mag28328)
  * Restore signal catching for updating application list
  * Add previous-next arrows (mga#28693)

* Tue Mar 16 2021 tmb <tmb> 2.11-2.mga9
+ Revision: 1703808
- rebuild for python 3.9

* Wed Feb 17 2021 tmb <tmb> 2.11-1.mga8
+ Revision: 1675491
- translation updates

* Mon Feb 01 2021 neoclust <neoclust> 2.10-1.mga8
+ Revision: 1674315
- New version 2.10

* Wed Jan 27 2021 daviddavid <daviddavid> 2.08-1.mga8
+ Revision: 1673650
- new version: 2.08
  * Fix translation of links for errata and release notes

* Tue Jan 12 2021 daviddavid <daviddavid> 2.07-1.mga8
+ Revision: 1671278
- new version: 2.07
  * Update translations
  * Fix links to release notes and errata for v8

* Tue Dec 22 2020 daviddavid <daviddavid> 2.05-1.mga8
+ Revision: 1662875
- new version: 2.05
  * Improve rendering in RTL language

* Wed Dec 16 2020 daviddavid <daviddavid> 2.04-1.mga8
+ Revision: 1658116
- new version: 2.04

* Tue Aug 25 2020 daviddavid <daviddavid> 2.03-1.mga8
+ Revision: 1618868
- new version: 2.03
  * Fix detecting of active repositories (mga#27071)
  * Check that command run properly, otherwise alert about lacking command (mga#27070)
  * Improve wording (mga#27114)
  * Update translations

* Thu Jul 16 2020 daviddavid <daviddavid> 2.02-1.mga8
+ Revision: 1606583
- new version: 2.02
  * Fix warnings about int convertion
  * Add a mode Live
  * Remove exfat from applications
  * Add Handbrake application

* Sun Feb 16 2020 umeabot <umeabot> 2.01-3.mga8
+ Revision: 1531594
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 2.01-2.mga8
+ Revision: 1440590
- rebuild for python-3.8

* Tue Sep 10 2019 daviddavid <daviddavid> 2.01-1.mga8
+ Revision: 1439379
- new version: 2.01 (mga#25423)

* Mon Jun 17 2019 daviddavid <daviddavid> 2.00-1.mga7
+ Revision: 1400155
- new version: 2.00
  o Rise scaling factor for screen higher then 190 px/in density (mga#24932)
  o Place repo screen in a Flickable to allow overflowing (mga#24932)
  o More robust Edit Software button (mga#24641)
  o Update translations

* Thu May 23 2019 daviddavid <daviddavid> 1.98-2.mga7
+ Revision: 1398984
- increase release due to mga6 subrel

* Mon May 20 2019 tmb <tmb> 1.98-1.mga7
+ Revision: 1398568
- Resize to maximal available space if smaller than default
- Update translations

* Sat Apr 20 2019 daviddavid <daviddavid> 1.97-1.mga7
+ Revision: 1393890
- new version: 1.97

* Mon Apr 15 2019 daviddavid <daviddavid> 1.96-2.mga7
+ Revision: 1390669
- add patch to fix mageiawelcome.png icon path (mga#24286)

* Sun Mar 31 2019 daviddavid <daviddavid> 1.96-1.mga7
+ Revision: 1383548
- new version: 1.96

* Sun Feb 24 2019 daviddavid <daviddavid> 1.95-1.mga7
+ Revision: 1369765
- new version: 1.95

* Wed Feb 06 2019 daviddavid <daviddavid> 1.94-1.mga7
+ Revision: 1363508
- new version: 1.94

* Sat Jan 26 2019 daviddavid <daviddavid> 1.93-1.mga7
+ Revision: 1361017
- new version: 1.93

* Sat Jan 19 2019 daviddavid <daviddavid> 1.92-1.mga7
+ Revision: 1358063
- new version: 1.92

* Tue Jan 08 2019 tv <tv> 1.91-1.mga7
+ Revision: 1352131
- new version for python 3.7

* Sun Jan 06 2019 daviddavid <daviddavid> 1.90-1.mga7
+ Revision: 1350009
- new version: 1.90

* Tue Jan 01 2019 daviddavid <daviddavid> 1.20-1.mga7
+ Revision: 1348349
- new version: 1.20
- switch build to python setup

* Sun Dec 30 2018 tv <tv> 1.18-1.mga7
+ Revision: 1347137
- new release (fix translations)

* Fri Dec 28 2018 tv <tv> 1.17-1.mga7
+ Revision: 1345444
- package & use translations

* Sun Dec 23 2018 daviddavid <daviddavid> 1.16-3.mga7
+ Revision: 1344560
- add some more missing dependencies (mga#24044)

* Sat Dec 22 2018 daviddavid <daviddavid> 1.16-2.mga7
+ Revision: 1344486
- add some missing PyQt5 dependencies (mga#24044)

* Sat Dec 22 2018 tv <tv> 1.16-1.mga7
+ Revision: 1344432
- BR qttools5 for lconvert
- first presentation of the QML port

* Thu Sep 20 2018 umeabot <umeabot> 1.15-2.mga7
+ Revision: 1279364
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 martinw <martinw> 1.15-1.mga7
+ Revision: 1251080
- fixes for detecting/reporting DE type (mga#21454)
- updated translations

* Mon Jul 24 2017 akien <akien> 1.13-1.mga7
+ Revision: 1130296
- Version 1.13, typo fix and translation update
- Version 1.12
  o Update identification of desktop environments (mga#21229)
  o Add internationalization of some URLs

* Mon Jul 10 2017 akien <akien> 1.11-1.mga6
+ Revision: 1109630
- Version 1.11, removes Skype

* Thu Jul 06 2017 tmb <tmb> 1.10-1.mga6
+ Revision: 1109140
- translation updates

* Sat May 13 2017 neoclust <neoclust> 1.9-1.mga6
+ Revision: 1100877
- Workaround display glitch on Gnome Wayland (mga#20681)

* Mon Mar 13 2017 akien <akien> 1.8-1.mga6
+ Revision: 1092447
- Version 1.8 (translations updates)

* Fri Mar 25 2016 ennael <ennael> 1.7-1.mga6
+ Revision: 995340
- New design (Animtim)

* Wed Feb 03 2016 tv <tv> 1.6-1.mga6
+ Revision: 934165
- fix invisible checkboxes

* Fri Jan 29 2016 ns80 <ns80> 1.5-1.mga6
+ Revision: 928709
- some bugs fixed (mga#15127, mga#17277, mga#17561)
- several updated translations

* Tue Jan 19 2016 tv <tv> 1.4-1.mga6
+ Revision: 925749
- switch from python2 to python3
- do not use and require simplejson anymore
- some bugs fixed (mga#17498, mga#17431)
- lot of updated translations

* Sun Dec 06 2015 tarakbumba <tarakbumba> 1.2-2.mga6
+ Revision: 908611
-Require python-gi (mga#17284)

* Mon Nov 30 2015 tv <tv> 1.2-1.mga6
+ Revision: 907266
- fix unneeded scrollbars (mga#16976)

* Tue Sep 29 2015 tv <tv> 1.1-1.mga6
+ Revision: 884935
- fix run (mga#16834)

* Thu Sep 24 2015 tv <tv> 1.0-1.mga6
+ Revision: 883286
- port to gtk+3 and WebKit2 (mga#15030)
+ alexl <alexl>
- add intltool for generating desktop file from template

* Sun May 17 2015 neoclust <neoclust> 0.8.20-1.mga5
+ Revision: 822227
- New version 0.8.20

* Sat May 09 2015 akien <akien> 0.8.18-1.mga5
+ Revision: 821600
- Version 0.8.18:
- "Office" category added (mga#15885)
- Fix "window too big" issue (mga#15882)

* Fri May 01 2015 marja <marja> 0.8.16-1.mga5
+ Revision: 820991
- XBMC was renamed to Kodi

* Mon Apr 27 2015 tarakbumba <tarakbumba> 0.8.15-1.mga5
+ Revision: 820794
- New version 0.8.15
- Fix dislaying correct desktop (mga#12974)

* Fri Apr 10 2015 marja <marja> 0.8.14-1.mga5
+ Revision: 820040
- Add Albanian, Chinese simplified and Scottich Gaelic
- Update translations

* Thu Feb 19 2015 tv <tv> 0.8.13-1.mga5
+ Revision: 816002
- autostart in liveCD/DVD

* Thu Feb 05 2015 marja <marja> 0.8.12-1.mga5
+ Revision: 813553
- new version with License file
- New version by napcok, Doclink changed

* Fri Jan 02 2015 tv <tv> 0.8.10-1.mga5
+ Revision: 808061
- add link to documentation
- fix links (mga4 -> mga5)
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 0.8.9-3.mga5
+ Revision: 745668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-2.mga5
+ Revision: 682130
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 malo <malo> 0.8.9-1.mga5
+ Revision: 659173
- update to 0.8.9

* Sun Jun 22 2014 doktor5000 <doktor5000> 0.8.8-2.mga5
+ Revision: 638690
- add Requires on python-gtk

* Sun Jan 26 2014 malo <malo> 0.8.8-1.mga4
+ Revision: 568377
- 0.8.8 with new translations and fix for icon in GNOME (mga#12409)

* Tue Jan 07 2014 malo <malo> 0.8.5-1.mga4
+ Revision: 565316
- 0.8.5 with updated translations

* Sun Dec 29 2013 malo <malo> 0.8.4-1.mga4
+ Revision: 562984
- update to 0.8.4

* Sat Dec 07 2013 ennael <ennael> 0.8.3-1.mga4
+ Revision: 555818
- add more languages
- improved look'n feel
- various bug fixes

* Mon Nov 11 2013 malo <malo> 0.8.2-1.mga4
+ Revision: 550546
- update to 0.8.2 (patch from napcok)

* Wed Nov 06 2013 tmb <tmb> 0.8.1-1.mga4
+ Revision: 549824
- update to 0.8.1

* Mon Oct 21 2013 umeabot <umeabot> 0.8-2.mga4
+ Revision: 537850
- Mageia 4 Mass Rebuild
+ ovitters <ovitters>
- new version 0.8

* Fri Sep 27 2013 malo <malo> 0.7-1.mga4
+ Revision: 488004
- new version 0.7

* Thu Sep 26 2013 tmb <tmb> 0.6-1.mga4
+ Revision: 487029
- update to 0.6

* Tue Sep 17 2013 neoclust <neoclust> 0.5-1.mga4
+ Revision: 480978
- New version 0.5

* Wed Aug 28 2013 kamil <kamil> 0.3-2.mga4
+ Revision: 472673
- imported package mageiawelcome



* Wed Aug 28 2013 Daniel Napora <napcok@gmail.com> - 0.3-2
- version 0.3